
	Comment ( Diesel engines settings for turbocharged GE 16 cylinder 7FDL pschlik physics. )
	Comment ( 4,250 horsepower version, appropriate for P42. )
	Comment ( Actual notch-by-notch RPM is 468/604/900/900/978/978/978/1050. RPM used in game has been faked for better operations. )
	
	Type ( Diesel )
	
	Comment ( This engine's performance does NOT factor in HEP. )
	ORTSElectricTrainSupply (
		Mode ( Unfitted )
	)

	ORTSDieselEngines ( 1					
		Diesel (				
			IdleRPM ( 335 )			
			MaxRPM ( 1050 )			
			StartingRPM ( 225 )			
			StartingConfirmRPM ( 370 )			
			ChangeUpRPMpS ( 14 )			
			ChangeDownRPMpS ( 20 )			
			RateOfChangeUpRPMpSS ( 7 )			
			RateOfChangeDownRPMpSS ( 4 )			
			MaximalPower ( 4350hp )			
			IdleExhaust ( 0.2 )			
			MaxExhaust ( 1.6 )			
			ExhaustDynamics ( 1.8 )			
			ExhaustDynamicsDown ( 0.8 )			
			ExhaustColor ( 203A4857 )			
			ExhaustTransientColor ( 400F1015 )			
			DieselPowerTab (			
				335		10hp	Comment ( Traction Power 0hp )
				440		215hp	Comment ( Traction Power 200hp )
				527		510hp	Comment ( Traction Power 490hp )
				614		1030hp	Comment ( Traction Power 1000hp )
				701		1520hp	Comment ( Traction Power 1485hp )
				789		2100hp	Comment ( Traction Power 2060hp )
				876		2790hp	Comment ( Traction Power 2720hp )
				963		3690hp	Comment ( Traction Power 3610hp )
				1050	4350hp	Comment ( Traction Power 4250hp )
			)			
			DieselConsumptionTab (			
				335		4.0g-us	Comment ( Gross Fuel Specific Engine Output 2.50hp-hr/gal )
				440		12.6g-us	Comment ( Gross Fuel Specific Engine Output 17.10hp-hr/gal )
				527		26.1g-us	Comment ( Gross Fuel Specific Engine Output 19.54hp-hr/gal )
				614		46.9g-us	Comment ( Gross Fuel Specific Engine Output 21.97hp-hr/gal )
				701		69.2g-us	Comment ( Gross Fuel Specific Engine Output 21.97hp-hr/gal )
				789		95.6g-us	Comment ( Gross Fuel Specific Engine Output 21.97hp-hr/gal )
				876		127.0g-us	Comment ( Gross Fuel Specific Engine Output 21.97hp-hr/gal )
				963		168.0g-us	Comment ( Gross Fuel Specific Engine Output 21.97hp-hr/gal )
				1050	198.0g-us	Comment ( Gross Fuel Specific Engine Output 21.97hp-hr/gal )
			)			
			ThrottleRPMTab (			
				0.0		335	
				12.5	440	
				25.0	527	
				37.5	614	
				50.0	701	
				62.5	789	
				75.0	876	
				87.5	963	
				100.0	1050	
			)			
			DieselTorqueTab (			
				0		0	
				335		213	
				440		3480	
				527		6891	
				614		11946	
				701		15440	
				789		18953	
				876		22680	
				963		27286	
				1050	29501	
			)			
			MinOilPressure ( 30psi )			
			MaxOilPressure ( 90psi )			
			MaxTemperature ( 200degf )			
			Cooling ( 3 )	Comment ( Proportional Cooling )		
			TempTimeConstant ( 720 )			
			OptTemperature ( 180degf )			
			IdleTemperature ( 140degf )			
		)				
	)					
	
	ORTSDieselEngineMaxPower ( 4350hp )
	