
	Comment ( Common lights settings for SLI GE Genesis locomotives. )
	
	

		Light	(
			comment( Left head light )
			Conditions	(
				Service ( 2 )
				Unit ( 2 )
			)
			include ( "..\\..\\Common_psc\\Lights\\Common\\Fade.inc" )
			States	(	1
				State	(
					include ( "..\\..\\Common_psc\\Lights\\Common\\Bright_Light.inc" )
					Position ( -0.14 2.478 10.234 )
					Radius ( 1 )
					Elevation ( 0 -30 -30 )
				)
			)
		)
		Light	(
			comment( Right head light )
			Conditions	(
				Service ( 2 )
				Unit ( 2 )
			)
			include ( "..\\..\\Common_psc\\Lights\\Common\\Fade.inc" )
			States	(	1
				State	(
					include ( "..\\..\\Common_psc\\Lights\\Common\\Bright_Light.inc" )
					Position ( 0.15 2.478 10.234 )
					Radius ( 1 )
					Elevation ( 0 -30 -30 )
				)
			)
		)	
		
		Comment ( DPU Lighting )
		Light	(
			comment( Left marker light front )
			Conditions	(
				Service ( 2 )
				Unit ( 4 )
			)
			include ( "..\\..\\Common_psc\\Lights\\Common\\Fade.inc" )
			States	(	1
				State	(
					include ( "..\\..\\Common_psc\\Lights\\Common\\Marker_Light.inc" )
					Position ( -0.791 2.443 10.246 )
					Elevation ( -30 -30 -30 )
				)
			)
		)
		Light	(
			comment( Right marker light front )
			Conditions	(
				Service ( 2 )
				Unit ( 4 )
			)
			include ( "..\\..\\Common_psc\\Lights\\Common\\Fade.inc" )
			States	(	1
				State	(
					include ( "..\\..\\Common_psc\\Lights\\Common\\Marker_Light.inc" )
					Position ( 0.791 2.443 10.246 )
					Elevation ( -30 -30 -30 )
				)
			)
		)
		Light	(
			comment( Left marker light rear )
			Conditions	(
				Service ( 2 )
				Unit ( 3 )
			)
			include ( "..\\..\\Common_psc\\Lights\\Common\\Fade.inc" )
			States	(	1
				State	(
					include ( "..\\..\\Common_psc\\Lights\\Common\\Marker_Light.inc" )
					Position ( -1.065 3.826 -10.268 )
					Azimuth ( -165 -165 -165 )
				)
			)
		)
		Light	(
			comment( Right marker light rear )
			Conditions	(
				Service ( 2 )
				Unit ( 3 )
			)
			include ( "..\\..\\Common_psc\\Lights\\Common\\Fade.inc" )
			States	(	1
				State	(
					include ( "..\\..\\Common_psc\\Lights\\Common\\Marker_Light.inc" )
					Position ( 1.066 3.826 -10.268 )
					Azimuth ( -195 -195 -195 )
				)
			)
		)
		Light	(
			comment( Left Rear light bright )
			Conditions	(
				Headlight ( 4 )
				Unit ( 5 )
			)
			include ( "..\\..\\Common_psc\\Lights\\Common\\Fade.inc" )
			States	(	1
				State	(
					include ( "..\\..\\Common_psc\\Lights\\Common\\Bright_Light.inc" ) 
					Position ( -0.13 3.834 -10.406 )
					Azimuth ( -180 -180 -180 )
				)
			)
		)
		Light	(
			comment( Right Rear light bright )
			Conditions	(
				Headlight ( 4 )
				Unit ( 5 )
			)
			include ( "..\\..\\Common_psc\\Lights\\Common\\Fade.inc" )
			States	(	1
				State	(
					include ( "..\\..\\Common_psc\\Lights\\Common\\Bright_Light.inc" ) 
					Position ( 0.13 3.834 -10.406 )
					Azimuth ( -180 -180 -180 )
				)
			)
		)
	