
	Comment ( Wagon settings for Amtrak Baggage car pschlik physics. )
	Comment ( Standard Aux res size of 900 cubic inches. )
	
	BrakeEquipmentType ( "Handbrake, graduated_release_triple_valve, Auxilary_reservoir, Emergency_brake_reservoir" )   
	
	include ( "..\\..\\Common_psc\\Core\\Pass_Wagon_Settings_psc.inc" )

	include ( "..\\..\\Common_psc\\Passenger_Cars\\Bogies\\Heritage_OSH_Bogie_psc.inc" )
	
	ORTSLengthBogieCentre ( 47ft 7.34in ) 
	ORTSLengthCouplerFace ( 73ft 2.70in )
	ORTSLengthCarBody ( 70ft 4.96in )
	
	ORTSWagonFrontalArea ( 130ft^2 )
	ORTSDavisDragConstant ( 0.00034 )
	
	ORTSDavis_C ( 0.0442lbf/mph^2 )
	
	BrakePipeVolume ( 0.65ft^3 )
	
	ORTSWheelBrakeSlideProtection ( 1 )
	
	EmergencyResCapacity ( 1260in^3 )
	
	Comment ( Nominal weight of 67 us tons. )
	Comment ( Nominal braking ratio of 25.5% @64.3 psi. )
	Comment ( Nominal handbrake ratio of 13.8% )
	
	include ( "..\\..\\Common_psc\\Air_Brakes\\Brake_Cylinders\\Cylinder_7.5in_Disc_psc.inc" )
	include ( "..\\..\\Common_psc\\Air_Brakes\\Control_Valves\\D-22_Control_Valve_psc.inc" )
	include ( "..\\..\\Common_psc\\Air_Brakes\\Relay_Valves\\J-1_HEP_Relay_Valve_psc.inc" )
	include ( "..\\..\\Common_psc\\Air_Brakes\\Shoe_Disc_psc.inc" )
	
	ORTSMaxBrakeShoeForce ( 53400lb )
	MaxHandbrakeForce ( 18500lb )
	