
	Comment ( Wagon settings for Pullman Standard Superliner I car pschlik physics. )
	Comment ( Superliner I Weights are as Follows: Coach 78.5t-us, Diner 87t-us, Lounge 80t-us, Sleeper 83.5t-us. )
	Comment ( Standard Aux res size of 900 cubic inches. )
	
	BrakeEquipmentType ( "Handbrake, graduated_release_triple_valve, Auxilary_reservoir" )   
	
	include ( "..\\..\\Common_psc\\Core\\Pass_Wagon_Settings_psc.inc" )

	include ( "..\\..\\Common_psc\\Passenger_Cars\\Bogies\\Waggon_Union_Bogie_psc.inc" )
	
	ORTSLengthBogieCentre ( 58ft 1.83in ) 
	ORTSLengthCouplerFace ( 82ft 10.80in )
	ORTSLengthCarBody ( 80ft 7.29in )
	
	ORTSWagonFrontalArea ( 155ft^2 )
	ORTSDavisDragConstant ( 0.0003 )
	
	ORTSDavis_C ( 0.0465lbf/mph^2 )
	
	BrakePipeVolume ( 0.79ft^3 )
	
	ORTSWheelBrakeSlideProtection ( 1 )
	
	EmergencyResCapacity ( 1260in^3 )
 
	Comment ( Nominal weight of 80 us tons. )
	Comment ( Nominal braking ratio of 27.0% @64.3 psi. )
	Comment ( Nominal handbrake ratio of 13.4% )
	
	include ( "..\\..\\Common_psc\\Air_Brakes\\Brake_Cylinders\\Cylinder_7.5in_Disc_psc.inc" )
	include ( "..\\..\\Common_psc\\Air_Brakes\\Control_Valves\\26-C_Control_Valve_psc.inc" )
	include ( "..\\..\\Common_psc\\Air_Brakes\\Relay_Valves\\J-1_Superliner_Relay_Valve_psc.inc" )
	include ( "..\\..\\Common_psc\\Air_Brakes\\Shoe_Disc_psc.inc" )
	
	ORTSMaxBrakeShoeForce ( 67600lb )
	MaxHandbrakeForce ( 21400lb )
	